Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QStyle.SubElement

    java.lang.Object
      java.lang.Enum<QStyle.SubElement>
          com.trolltech.qt.gui.QStyle.SubElement

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QStyle.SubElement>

Enclosing class:
  QStyle

    public static enum QStyle.SubElement

extends java.lang.Enum<QStyle.SubElement>
implements QtEnumerator

This enum represents a sub-area of a widget. Style implementations use these areas to draw the different parts of a widget.

See Also:
  `subElementRect`

Enum Constant Summary
`CustomEnum`
`SE_CheckBoxClickRect` Clickable area, defaults to `SE_CheckBoxFocusRect`.
`SE_CheckBoxContents` Area for the label (text or pixmap).
`SE_CheckBoxFocusRect` Area for the focus indicator.
`SE_CheckBoxIndicator` Area for the state indicator (e.g., check mark).
`SE_CheckBoxLayoutItem` Area that counts for the parent layout.
`SE_ComboBoxFocusRect` Area for the focus indicator.
`SE_ComboBoxLayoutItem` Area that counts for the parent layout.
`SE_CustomBase` Base value for custom sub-elements.
`SE_DateTimeEditLayoutItem` Area that counts for the parent layout.
`SE_DialogButtonAbort` Internal.
`SE_DialogButtonAccept` Internal.
`SE_DialogButtonAll` Internal.
`SE_DialogButtonApply` Internal.
`SE_DialogButtonBoxLayoutItem` Area that counts for the parent layout.
`SE_DialogButtonCustom` Internal.
`SE_DialogButtonHelp` Internal.
`SE_DialogButtonIgnore` Internal.
`SE_DialogButtonReject` Internal.
`SE_DialogButtonRetry` Internal.
`SE_DockWidgetCloseButton` The close button of a dock widget.
`SE_DockWidgetFloatButton` The float button of a dock widget.
`SE_DockWidgetIcon` The icon of a dock widget.
`SE_DockWidgetTitleBarText` The text bounds of the dock widgets title.
`SE_FrameContents` Area for a frame's contents.
`SE_FrameLayoutItem` Area that counts for the parent layout.
`SE_GroupBoxLayoutItem` Area that counts for the parent layout.
`SE_HeaderArrow` Area for the sort indicator for a header.
`SE_HeaderLabel` Area for the label in a header.
`SE_LabelLayoutItem` Area that counts for the parent layout.
`SE_LineEditContents` Area for a line edit's contents.
`SE_ProgressBarContents` Area for the progress indicator.
`SE_ProgressBarGroove` Area for the groove.
`SE_ProgressBarLabel` Area for the text label.
`SE_ProgressBarLayoutItem` Area that counts for the parent layout.
`SE_PushButtonContents` Area containing the label (icon with text or pixmap).
`SE_PushButtonFocusRect` Area for the focus rect (usually larger than the contents rect).
`SE_PushButtonLayoutItem` Area that counts for the parent layout.
`SE_Q3DockWindowHandleRect` Area for the tear-off handle.
`SE_RadioButtonClickRect` Clickable area, defaults to `SE_RadioButtonFocusRect`.
`SE_RadioButtonContents` Area for the label.
`SE_RadioButtonFocusRect` Area for the focus indicator.
`SE_RadioButtonIndicator` Area for the state indicator.
`SE_RadioButtonLayoutItem` Area that counts for the parent layout.
`SE_SliderFocusRect` Area for the focus indicator.
`SE_SliderLayoutItem` Area that counts for the parent layout.
`SE_SpinBoxLayoutItem` Area that counts for the parent layout.
`SE_TabBarTearIndicator` Area for the tear indicator on a tab bar with scroll arrows.
`SE_TabWidgetLayoutItem` Area that counts for the parent layout.
`SE_TabWidgetLeftCorner` Area for the left corner widget in a tab widget.
`SE_TabWidgetRightCorner` Area for the right corner widget in a tab widget.
`SE_TabWidgetTabBar` Area for the tab bar widget in a tab widget.
`SE_TabWidgetTabContents` Area for the contents of the tab widget.
`SE_TabWidgetTabPane` Area for the pane of a tab widget.
`SE_ToolBoxTabContents` Area for a toolbox tab's icon and label.
`SE_ToolButtonLayoutItem` Area that counts for the parent layout.
`SE_TreeViewDisclosureItem` Area for the actual disclosure item in a tree branch.
`SE_ViewItemCheckIndicator` Area for a view item's check mark.

Method Summary
`static QStyle.SubElement` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyle.SubElement` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QStyle.SubElement[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SE_PushButtonContents

    public static final QStyle.SubElement SE_PushButtonContents

  Area containing the label (icon with text or pixmap).

### SE_PushButtonFocusRect

    public static final QStyle.SubElement SE_PushButtonFocusRect

  Area for the focus rect (usually larger than the contents rect).

### SE_CheckBoxIndicator

    public static final QStyle.SubElement SE_CheckBoxIndicator

  Area for the state indicator (e.g., check mark).

### SE_CheckBoxContents

    public static final QStyle.SubElement SE_CheckBoxContents

  Area for the label (text or pixmap).

### SE_CheckBoxFocusRect

    public static final QStyle.SubElement SE_CheckBoxFocusRect

  Area for the focus indicator.

### SE_CheckBoxClickRect

    public static final QStyle.SubElement SE_CheckBoxClickRect

  Clickable area, defaults to `SE_CheckBoxFocusRect`.

### SE_RadioButtonIndicator

    public static final QStyle.SubElement SE_RadioButtonIndicator

  Area for the state indicator.

### SE_RadioButtonContents

    public static final QStyle.SubElement SE_RadioButtonContents

  Area for the label.

### SE_RadioButtonFocusRect

    public static final QStyle.SubElement SE_RadioButtonFocusRect

  Area for the focus indicator.

### SE_RadioButtonClickRect

    public static final QStyle.SubElement SE_RadioButtonClickRect

  Clickable area, defaults to `SE_RadioButtonFocusRect`.

### SE_ComboBoxFocusRect

    public static final QStyle.SubElement SE_ComboBoxFocusRect

  Area for the focus indicator.

### SE_SliderFocusRect

    public static final QStyle.SubElement SE_SliderFocusRect

  Area for the focus indicator.

### SE_Q3DockWindowHandleRect

    public static final QStyle.SubElement SE_Q3DockWindowHandleRect

  Area for the tear-off handle.

### SE_ProgressBarGroove

    public static final QStyle.SubElement SE_ProgressBarGroove

  Area for the groove.

### SE_ProgressBarContents

    public static final QStyle.SubElement SE_ProgressBarContents

  Area for the progress indicator.

### SE_ProgressBarLabel

    public static final QStyle.SubElement SE_ProgressBarLabel

  Area for the text label.

### SE_DialogButtonAccept

    public static final QStyle.SubElement SE_DialogButtonAccept

  Internal.

### SE_DialogButtonReject

    public static final QStyle.SubElement SE_DialogButtonReject

  Internal.

### SE_DialogButtonApply

    public static final QStyle.SubElement SE_DialogButtonApply

  Internal.

### SE_DialogButtonHelp

    public static final QStyle.SubElement SE_DialogButtonHelp

  Internal.

### SE_DialogButtonAll

    public static final QStyle.SubElement SE_DialogButtonAll

  Internal.

### SE_DialogButtonAbort

    public static final QStyle.SubElement SE_DialogButtonAbort

  Internal.

### SE_DialogButtonIgnore

    public static final QStyle.SubElement SE_DialogButtonIgnore

  Internal.

### SE_DialogButtonRetry

    public static final QStyle.SubElement SE_DialogButtonRetry

  Internal.

### SE_DialogButtonCustom

    public static final QStyle.SubElement SE_DialogButtonCustom

  Internal.

### SE_ToolBoxTabContents

    public static final QStyle.SubElement SE_ToolBoxTabContents

  Area for a toolbox tab's icon and label.

### SE_HeaderLabel

    public static final QStyle.SubElement SE_HeaderLabel

  Area for the label in a header.

### SE_HeaderArrow

    public static final QStyle.SubElement SE_HeaderArrow

  Area for the sort indicator for a header.

### SE_TabWidgetTabBar

    public static final QStyle.SubElement SE_TabWidgetTabBar

  Area for the tab bar widget in a tab widget.

### SE_TabWidgetTabPane

    public static final QStyle.SubElement SE_TabWidgetTabPane

  Area for the pane of a tab widget.

### SE_TabWidgetTabContents

    public static final QStyle.SubElement SE_TabWidgetTabContents

  Area for the contents of the tab widget.

### SE_TabWidgetLeftCorner

    public static final QStyle.SubElement SE_TabWidgetLeftCorner

  Area for the left corner widget in a tab widget.

### SE_TabWidgetRightCorner

    public static final QStyle.SubElement SE_TabWidgetRightCorner

  Area for the right corner widget in a tab widget.

### SE_ViewItemCheckIndicator

    public static final QStyle.SubElement SE_ViewItemCheckIndicator

  Area for a view item's check mark.

### SE_TabBarTearIndicator

    public static final QStyle.SubElement SE_TabBarTearIndicator

  Area for the tear indicator on a tab bar with scroll arrows.

### SE_TreeViewDisclosureItem

    public static final QStyle.SubElement SE_TreeViewDisclosureItem

  Area for the actual disclosure item in a tree branch.

### SE_LineEditContents

    public static final QStyle.SubElement SE_LineEditContents

  Area for a line edit's contents.

### SE_FrameContents

    public static final QStyle.SubElement SE_FrameContents

  Area for a frame's contents.

### SE_DockWidgetCloseButton

    public static final QStyle.SubElement SE_DockWidgetCloseButton

  The close button of a dock widget.

### SE_DockWidgetFloatButton

    public static final QStyle.SubElement SE_DockWidgetFloatButton

  The float button of a dock widget.

### SE_DockWidgetTitleBarText

    public static final QStyle.SubElement SE_DockWidgetTitleBarText

  The text bounds of the dock widgets title.

### SE_DockWidgetIcon

    public static final QStyle.SubElement SE_DockWidgetIcon

  The icon of a dock widget.

### SE_CheckBoxLayoutItem

    public static final QStyle.SubElement SE_CheckBoxLayoutItem

  Area that counts for the parent layout.

### SE_ComboBoxLayoutItem

    public static final QStyle.SubElement SE_ComboBoxLayoutItem

  Area that counts for the parent layout.

### SE_DateTimeEditLayoutItem

    public static final QStyle.SubElement SE_DateTimeEditLayoutItem

  Area that counts for the parent layout.

### SE_DialogButtonBoxLayoutItem

    public static final QStyle.SubElement SE_DialogButtonBoxLayoutItem

  Area that counts for the parent layout.

### SE_LabelLayoutItem

    public static final QStyle.SubElement SE_LabelLayoutItem

  Area that counts for the parent layout.

### SE_ProgressBarLayoutItem

    public static final QStyle.SubElement SE_ProgressBarLayoutItem

  Area that counts for the parent layout.

### SE_PushButtonLayoutItem

    public static final QStyle.SubElement SE_PushButtonLayoutItem

  Area that counts for the parent layout.

### SE_RadioButtonLayoutItem

    public static final QStyle.SubElement SE_RadioButtonLayoutItem

  Area that counts for the parent layout.

### SE_SliderLayoutItem

    public static final QStyle.SubElement SE_SliderLayoutItem

  Area that counts for the parent layout.

### SE_SpinBoxLayoutItem

    public static final QStyle.SubElement SE_SpinBoxLayoutItem

  Area that counts for the parent layout.

### SE_ToolButtonLayoutItem

    public static final QStyle.SubElement SE_ToolButtonLayoutItem

  Area that counts for the parent layout.

### SE_FrameLayoutItem

    public static final QStyle.SubElement SE_FrameLayoutItem

  Area that counts for the parent layout.

### SE_GroupBoxLayoutItem

    public static final QStyle.SubElement SE_GroupBoxLayoutItem

  Area that counts for the parent layout.

### SE_TabWidgetLayoutItem

    public static final QStyle.SubElement SE_TabWidgetLayoutItem

  Area that counts for the parent layout.

### SE_CustomBase

    public static final QStyle.SubElement SE_CustomBase

  Base value for custom sub-elements. Custom values must be greater than this value.

### CustomEnum

    public static final QStyle.SubElement CustomEnum

Method Detail

### values

    public static final QStyle.SubElement[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QStyle.SubElement c : QStyle.SubElement.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QStyle.SubElement valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyle.SubElement resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD